package com.zcloud.mapper.datasource.eightwork;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2024/01/17 11:31
 */
public interface HighworkMapper {
    PageData getCode(PageData pd);
    PageData findById(PageData pd);
    void save(PageData pd);
    void delete(PageData pd);
    void edit(PageData pd);
    void editStep(PageData pd);

    void editVideo(PageData pd);

    List<PageData> datalistPage(Page page);

    List<PageData> listAllMeasures();

    List<PageData> checkWorkCount(PageData pd);

    List<PageData> getFlowList(PageData pd);

    void setPosition(PageData pd);

    List<PageData> getMapList(PageData pd);

    PageData findInfoByIdAndCheckNo(PageData pageData);
    PageData findInfoFromFlowLogByIdAndCheckNo(PageData pageData);

    void updCheckNoInfo(PageData work);
}
